NX Open C++ Reference Guide
|
Represents a Die::AddendumSectionBuilder which is used to create or edit an addendum section. More...
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance. | |
NXOpen::Die::DieAttributesBuilder * | Attributes () |
Returns the color and string attributes of the section. | |
NXOpen::Section * | ByCurves () |
Returns the curves used to approximate an addendum section. | |
void | ChangeSectionPlane (NXOpen::Curve *section, NXOpen::Direction *plane) |
Changes the section orientation. | |
NXOpen::ScCollector * | ConstraintCurve () |
Returns the constraint curve. | |
NXOpen::Curve * | ConstraintCurveToEdit () |
Returns the constraint curve to edit. | |
NXOpen::ScCollector * | ConstraintFaces () |
Returns the constraint faces. | |
void | CopySection (NXOpen::Curve *section, bool copyPlaneData) |
Copies addendum section in order to be pasted at another location. | |
NXOpen::Section * | CreateExtendSection () |
Creates a Section object containing the extended constraint curve. | |
void | CreateSection () |
Create addendum section using previously supplied parameters. | |
void | CreateSectionFromReuse (const NXString &fileName) |
Creates a section using the information stored in the reuse library. | |
void | CreateSectionFromReuse (const char *fileName) |
Creates a section using the information stored in the reuse library. | |
NXOpen::Curve * | CurveToExtend () |
Returns the constraint curve to extend. | |
void | CutSection (NXOpen::Curve *section, bool copyPlaneData) |
Cuts section in order to be pasted at another location. | |
void | DefaultDraw () |
Create default draw vector based upon the input product faces. | |
NXOpen::Section * | DeleteExtendSection () |
Deletes the Section used for extended constraint curve. | |
void | DeleteSections () |
Delete addendum sections from Die::AddendumSectionBuilder::Sections . | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Direction * | DrawDirection () |
Returns the draw direction. | |
void | EditBlendSection (NXOpen::Curve *section, double radius) |
Edit radius value of blend section. | |
NXOpen::Curve * | EditedConstraintCurve () |
Returns the edited constraint curve. | |
NXOpen::GeometricUtilities::CurveLengthData * | ExtendData () |
Returns the object used to extend the constraint curve which is accessed via Die::AddendumSectionBuilder::ConstraintCurve . | |
NXOpen::Expression * | ExtendEndDistance () |
Returns the distance to extend the end of the constraint curve. | |
NXOpen::Expression * | ExtendStartDistance () |
Returns the distance to extend the start of the constraint curve. | |
double | FacetDensity () |
Returns the facet density. | |
void | InitializeEditParameters (NXOpen::Curve *section) |
Initializes environment to start editing parameters of a section. | |
NXOpen::Die::DieLimitsBuilder * | Limits () |
Returns the limits to control the span of the preview surface Created in NX7.5.0. | |
NXOpen::Die::AddendumSectionBuilder::SectionLocationType | LocationType () |
Returns the location where the section will be created. | |
void | LockSegment (NXOpen::Curve *section, NXOpen::Die::AddendumSectionBuilder::SegmentType segment, NXOpen::Die::AddendumSectionBuilder::SegmentParameterType type) |
Lock a segment parameter value. | |
NXOpen::Expression * | MaximumPositive () |
Returns the maximum positive trim angle. | |
NXOpen::Expression * | MinimumDraftAngle () |
Returns the minimum draft angle. | |
NXOpen::Expression * | MinimumNegative () |
Returns the minimum negative trim angle. | |
NXOpen::Expression * | MinimumRadius () |
Returns the minimum radius. | |
NXOpen::Expression * | MinimumTrimLedge () |
Returns the minimum trim ledge. | |
NXOpen::Plane * | MirrorPlane () |
Returns the mirror plane. | |
void | MirrorSections () |
Mirror sections using plane from Die::AddendumSectionBuilder::MirrorPlane . | |
void | MoveSectionOrigin (NXOpen::Curve *section, const NXOpen::Point3d &newOrigin, int useSectionPlane) |
Moves addendum section to a new location. | |
NXOpen::Section * | NeutralCurve () |
Returns the neutral curve. | |
void | PasteSection () |
Paste section. | |
void | PasteSectionFromCurve (NXOpen::Curve *curve) |
Creates a section by reading the section parameters from the input curve and pasting at the location specified by Die::AddendumSectionBuilder::SectionPoint. | |
NXOpen::Expression * | PlusLength () |
Returns the minimum plus length. | |
NXOpen::ScCollector * | Product () |
Returns the product faces. | |
void | RecreateSections () |
Re-create all existing sections because of a change in the draw direction or product faces. | |
void | Reinitialize () |
Reinitialize the environment after changes to input data such as draw vector or product faces Created in NX7.5.0. | |
void | ReplaceConstraintCurve (NXOpen::Curve *editedCurve) |
Replaces the constraint curve with an edited curve. | |
void | ReplaceSectionCurve (NXOpen::Curve *section) |
Replaces the current section with the edited one. | |
void | ResetSection (NXOpen::Curve *section) |
Resets the section to the last saved state. | |
NXOpen::Die::AddendumSectionBuilder::SectionOrientationType | SectionOrientation () |
Returns the section orientation. | |
NXOpen::Plane * | SectionPlane () |
Returns the section plane. | |
NXOpen::Point * | SectionPoint () |
Returns the origin point where the section will be located. | |
NXOpen::SelectDisplayableObjectList * | Sections () |
Returns the addendum sections to edit. | |
NXOpen::Die::AddendumSectionBuilder::SectionShapeType | SectionShape () |
Returns the section shape. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance. | |
void | SetCurveToExtend (NXOpen::Curve *curve) |
Sets the constraint curve to extend. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetDrawDirection (NXOpen::Direction *punchDirection) |
Sets the draw direction. | |
void | SetEditedConstraintCurve (NXOpen::Curve *curve) |
Sets the edited constraint curve. | |
void | SetFacetDensity (double facetDensity) |
Sets the facet density. | |
void | SetLocationType (NXOpen::Die::AddendumSectionBuilder::SectionLocationType locationType) |
Sets the location where the section will be created. | |
void | SetMirrorPlane (NXOpen::Plane *mirrorPlane) |
Sets the mirror plane. | |
void | SetSectionOrientation (NXOpen::Die::AddendumSectionBuilder::SectionOrientationType sectionOrientation) |
Sets the section orientation. | |
void | SetSectionPlane (NXOpen::Plane *sectionPlane) |
Sets the section plane. | |
void | SetSectionPoint (NXOpen::Point *sectionPoint) |
Sets the origin point where the section will be located. | |
void | SetSectionShape (NXOpen::Die::AddendumSectionBuilder::SectionShapeType sectionShape) |
Sets the section shape. | |
void | SetSurfaceBuildMethod (NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType surfaceBuildMethod) |
Sets the addendum surface build method. | |
void | SmoothCurve () |
Smooth the constraint curve using the radius supplied by Die::AddendumSectionBuilder::SmoothRadius . | |
NXOpen::Expression * | SmoothRadius () |
Returns the smoothing radius for the constraint curve used by Die::AddendumSectionBuilder::SmoothCurve . | |
NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType | SurfaceBuildMethod () |
Returns the addendum surface build method. | |
void | TerminateEditParameters (NXOpen::Curve *section) |
Cleans up environment after editing parameters of a section. | |
NXOpen::Expression * | TranslateDistance () |
Returns the translate distance used by Die::AddendumSectionBuilder::TranslateWall . | |
void | TranslateWall () |
Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by Die::AddendumSectionBuilder::TranslateDistance . | |
void | TrimExtendConstraintCurve (NXOpen::Section *constraintCurve) |
Trims or extends constraint curve. | |
void | UnlockSegment (NXOpen::Curve *section, NXOpen::Die::AddendumSectionBuilder::SegmentType segment, NXOpen::Die::AddendumSectionBuilder::SegmentParameterType type) |
Unlock a segment parameter value. | |
void | UpdateSection (NXOpen::Curve *section) |
Updates section after editing segments via Die::AddendumSectionBuilder::UpdateSegment . | |
void | UpdateSectionAttributes (NXOpen::Curve *section) |
Updates the section attributes. | |
void | UpdateSectionsAfterConstraintChange () |
Called to update the section when constraint curve or constraint surface is changed. | |
double | UpdateSegment (bool temporary, NXOpen::Curve *section, NXOpen::Die::AddendumSectionBuilder::SegmentType segment, double lengthRadius, double angle) |
Updates length or angle value of a segment. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die::AddendumSectionBuilder which is used to create or edit an addendum section.
<br> To create a new instance of this class, use @link Die::DieCollection::CreateAddendumSectionBuilder Die::DieCollection::CreateAddendumSectionBuilder @endlink <br>
Created in NX7.5.0.
The settings to indicate the section orientation.
The settings to indicate the section shape.
SectionShapeTypeBasic |
Section consists of all segments in a step like shape. |
SectionShapeTypeDrawBar |
Section consists of all segments in a draw bar shape. |
SectionShapeTypeSimple |
Section consists of trim ledge, punch radius, and second stretch wall segments. |
SectionShapeTypeChannel |
Section consists of all segments in a channel shape. |
SectionShapeTypeBlend |
Section consists of a single radius type segment to define the blend shape. |
SectionShapeTypeExtension |
Section consists of a plus segment only. |
SectionShapeTypeSystem |
Section shape determined by blending neighboring sections. |
SectionShapeTypeUserDefined |
Section shape is user defined. |
SectionShapeTypeReuse |
Section shape is read from reuse library. |
SectionShapeTypeBlank |
No section shape. |
The settings to indicate which parameter of the segment to lock.
The settings to indicate the segment type to update.
SegmentTypePlus |
Update plus segment. |
SegmentTypePunch |
Update punch segment. |
SegmentTypeFirstStretchWall |
Update first stretch wall segment. |
SegmentTypeReverse |
Update reverse segment. |
SegmentTypeTrimLedge |
Update trim ledge segment. |
SegmentTypeDiePunch |
Update die punch segment. |
SegmentTypeSecondStretchWall |
Update second stretch wall segment. |
SegmentTypeDieReverse |
Update die reverse segment. |
SegmentTypeFlatToBead |
Update flat to bead segment. |
The settings to indicate the surface type.
double NXOpen::Die::AddendumSectionBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance.
Created in NX7.5.0.
License requirements : None
NXOpen::Die::DieAttributesBuilder* NXOpen::Die::AddendumSectionBuilder::Attributes | ( | ) |
Returns the color and string attributes of the section.
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::ByCurves | ( | ) |
Returns the curves used to approximate an addendum section.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::ChangeSectionPlane | ( | NXOpen::Curve * | section, |
NXOpen::Direction * | plane | ||
) |
Changes the section orientation.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to edit. |
plane | New section orientation plane. |
NXOpen::ScCollector* NXOpen::Die::AddendumSectionBuilder::ConstraintCurve | ( | ) |
Returns the constraint curve.
Created in NX7.5.0.
License requirements : None
NXOpen::Curve* NXOpen::Die::AddendumSectionBuilder::ConstraintCurveToEdit | ( | ) |
Returns the constraint curve to edit.
This function will read the objects using Die::AddendumSectionBuilder::ConstraintCurve . and if needed create a non-associative curve to be used by the edit curve functions. The only case where it will not create a curve is if there is only one non-associative spline on the selection.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::ScCollector* NXOpen::Die::AddendumSectionBuilder::ConstraintFaces | ( | ) |
Returns the constraint faces.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::CopySection | ( | NXOpen::Curve * | section, |
bool | copyPlaneData | ||
) |
Copies addendum section in order to be pasted at another location.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to copy. |
copyPlaneData | Indicates whether to copy the orientation plane of the section. |
NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::CreateExtendSection | ( | ) |
Creates a Section object containing the extended constraint curve.
void NXOpen::Die::AddendumSectionBuilder::CreateSection | ( | ) |
Create addendum section using previously supplied parameters.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::CreateSectionFromReuse | ( | const NXString & | fileName | ) |
Creates a section using the information stored in the reuse library.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
fileName | name of reuse library containing addendum section information NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::AddendumSectionBuilder::CreateSectionFromReuse | ( | const char * | fileName | ) |
Creates a section using the information stored in the reuse library.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
fileName | name of reuse library containing addendum section information NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Curve* NXOpen::Die::AddendumSectionBuilder::CurveToExtend | ( | ) |
Returns the constraint curve to extend.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::CutSection | ( | NXOpen::Curve * | section, |
bool | copyPlaneData | ||
) |
Cuts section in order to be pasted at another location.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to cut. |
copyPlaneData | Indicates whether to copy the orientation plane of the section. |
void NXOpen::Die::AddendumSectionBuilder::DefaultDraw | ( | ) |
Create default draw vector based upon the input product faces.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::DeleteExtendSection | ( | ) |
void NXOpen::Die::AddendumSectionBuilder::DeleteSections | ( | ) |
Delete addendum sections from Die::AddendumSectionBuilder::Sections .
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Die::AddendumSectionBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Die::AddendumSectionBuilder::DrawDirection | ( | ) |
Returns the draw direction.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::EditBlendSection | ( | NXOpen::Curve * | section, |
double | radius | ||
) |
Edit radius value of blend section.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Blend section to edit. |
radius | New radius value. |
NXOpen::Curve* NXOpen::Die::AddendumSectionBuilder::EditedConstraintCurve | ( | ) |
Returns the edited constraint curve.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveLengthData* NXOpen::Die::AddendumSectionBuilder::ExtendData | ( | ) |
Returns the object used to extend the constraint curve which is accessed via Die::AddendumSectionBuilder::ConstraintCurve .
Need to call function @link Die::AddendumSectionBuilder::CreateExtendSection Die::AddendumSectionBuilder::CreateExtendSection@endlink before calling this function.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::ExtendEndDistance | ( | ) |
Returns the distance to extend the end of the constraint curve.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::ExtendStartDistance | ( | ) |
Returns the distance to extend the start of the constraint curve.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Die::AddendumSectionBuilder::FacetDensity | ( | ) |
Returns the facet density.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::InitializeEditParameters | ( | NXOpen::Curve * | section | ) |
Initializes environment to start editing parameters of a section.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to edit. |
NXOpen::Die::DieLimitsBuilder* NXOpen::Die::AddendumSectionBuilder::Limits | ( | ) |
Returns the limits to control the span of the preview surface
Created in NX7.5.0.
License requirements : None
NXOpen::Die::AddendumSectionBuilder::SectionLocationType NXOpen::Die::AddendumSectionBuilder::LocationType | ( | ) |
Returns the location where the section will be created.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::LockSegment | ( | NXOpen::Curve * | section, |
NXOpen::Die::AddendumSectionBuilder::SegmentType | segment, | ||
NXOpen::Die::AddendumSectionBuilder::SegmentParameterType | type | ||
) |
Lock a segment parameter value.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to update. |
segment | Segment to update. |
type | Segment parameter to lock. |
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MaximumPositive | ( | ) |
Returns the maximum positive trim angle.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumDraftAngle | ( | ) |
Returns the minimum draft angle.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumNegative | ( | ) |
Returns the minimum negative trim angle.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumRadius | ( | ) |
Returns the minimum radius.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumTrimLedge | ( | ) |
Returns the minimum trim ledge.
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Die::AddendumSectionBuilder::MirrorPlane | ( | ) |
Returns the mirror plane.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::MirrorSections | ( | ) |
Mirror sections using plane from Die::AddendumSectionBuilder::MirrorPlane .
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::MoveSectionOrigin | ( | NXOpen::Curve * | section, |
const NXOpen::Point3d & | newOrigin, | ||
int | useSectionPlane | ||
) |
Moves addendum section to a new location.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::NeutralCurve | ( | ) |
Returns the neutral curve.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::PasteSection | ( | ) |
Paste section.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::PasteSectionFromCurve | ( | NXOpen::Curve * | curve | ) |
Creates a section by reading the section parameters from the input curve and pasting at the location specified by Die::AddendumSectionBuilder::SectionPoint.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
curve | Section to edit. |
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::PlusLength | ( | ) |
Returns the minimum plus length.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Die::AddendumSectionBuilder::Product | ( | ) |
Returns the product faces.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::RecreateSections | ( | ) |
Re-create all existing sections because of a change in the draw direction or product faces.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::Reinitialize | ( | ) |
Reinitialize the environment after changes to input data such as draw vector or product faces
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::ReplaceConstraintCurve | ( | NXOpen::Curve * | editedCurve | ) |
Replaces the constraint curve with an edited curve.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
editedCurve | New edited curve to replace existing constraint curve. |
void NXOpen::Die::AddendumSectionBuilder::ReplaceSectionCurve | ( | NXOpen::Curve * | section | ) |
Replaces the current section with the edited one.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to edit. |
void NXOpen::Die::AddendumSectionBuilder::ResetSection | ( | NXOpen::Curve * | section | ) |
Resets the section to the last saved state.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to reset. |
NXOpen::Die::AddendumSectionBuilder::SectionOrientationType NXOpen::Die::AddendumSectionBuilder::SectionOrientation | ( | ) |
Returns the section orientation.
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Die::AddendumSectionBuilder::SectionPlane | ( | ) |
Returns the section plane.
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Die::AddendumSectionBuilder::SectionPoint | ( | ) |
Returns the origin point where the section will be located.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Die::AddendumSectionBuilder::Sections | ( | ) |
Returns the addendum sections to edit.
Created in NX7.5.0.
License requirements : None
NXOpen::Die::AddendumSectionBuilder::SectionShapeType NXOpen::Die::AddendumSectionBuilder::SectionShape | ( | ) |
Returns the section shape.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
angleTolerance | angletolerance |
void NXOpen::Die::AddendumSectionBuilder::SetCurveToExtend | ( | NXOpen::Curve * | curve | ) |
Sets the constraint curve to extend.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
curve | curve |
void NXOpen::Die::AddendumSectionBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
distanceTolerance | distancetolerance |
void NXOpen::Die::AddendumSectionBuilder::SetDrawDirection | ( | NXOpen::Direction * | punchDirection | ) |
Sets the draw direction.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
punchDirection | punchdirection |
void NXOpen::Die::AddendumSectionBuilder::SetEditedConstraintCurve | ( | NXOpen::Curve * | curve | ) |
Sets the edited constraint curve.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
curve | curve |
void NXOpen::Die::AddendumSectionBuilder::SetFacetDensity | ( | double | facetDensity | ) |
Sets the facet density.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
facetDensity | facetdensity |
void NXOpen::Die::AddendumSectionBuilder::SetLocationType | ( | NXOpen::Die::AddendumSectionBuilder::SectionLocationType | locationType | ) |
Sets the location where the section will be created.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
locationType | locationtype |
void NXOpen::Die::AddendumSectionBuilder::SetMirrorPlane | ( | NXOpen::Plane * | mirrorPlane | ) |
Sets the mirror plane.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
mirrorPlane | mirrorplane |
void NXOpen::Die::AddendumSectionBuilder::SetSectionOrientation | ( | NXOpen::Die::AddendumSectionBuilder::SectionOrientationType | sectionOrientation | ) |
Sets the section orientation.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
sectionOrientation | sectionorientation |
void NXOpen::Die::AddendumSectionBuilder::SetSectionPlane | ( | NXOpen::Plane * | sectionPlane | ) |
Sets the section plane.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
sectionPlane | sectionplane |
void NXOpen::Die::AddendumSectionBuilder::SetSectionPoint | ( | NXOpen::Point * | sectionPoint | ) |
Sets the origin point where the section will be located.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
sectionPoint | sectionpoint |
void NXOpen::Die::AddendumSectionBuilder::SetSectionShape | ( | NXOpen::Die::AddendumSectionBuilder::SectionShapeType | sectionShape | ) |
Sets the section shape.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
sectionShape | sectionshape |
void NXOpen::Die::AddendumSectionBuilder::SetSurfaceBuildMethod | ( | NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType | surfaceBuildMethod | ) |
Sets the addendum surface build method.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
surfaceBuildMethod | surfacebuildmethod |
void NXOpen::Die::AddendumSectionBuilder::SmoothCurve | ( | ) |
Smooth the constraint curve using the radius supplied by Die::AddendumSectionBuilder::SmoothRadius .
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::SmoothRadius | ( | ) |
Returns the smoothing radius for the constraint curve used by Die::AddendumSectionBuilder::SmoothCurve .
Created in NX7.5.0.
License requirements : None
NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType NXOpen::Die::AddendumSectionBuilder::SurfaceBuildMethod | ( | ) |
Returns the addendum surface build method.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::TerminateEditParameters | ( | NXOpen::Curve * | section | ) |
Cleans up environment after editing parameters of a section.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Edited section. |
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::TranslateDistance | ( | ) |
Returns the translate distance used by Die::AddendumSectionBuilder::TranslateWall .
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::AddendumSectionBuilder::TranslateWall | ( | ) |
Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by Die::AddendumSectionBuilder::TranslateDistance .
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::TrimExtendConstraintCurve | ( | NXOpen::Section * | constraintCurve | ) |
Trims or extends constraint curve.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
constraintCurve | Constraint curve to modify |
void NXOpen::Die::AddendumSectionBuilder::UnlockSegment | ( | NXOpen::Curve * | section, |
NXOpen::Die::AddendumSectionBuilder::SegmentType | segment, | ||
NXOpen::Die::AddendumSectionBuilder::SegmentParameterType | type | ||
) |
Unlock a segment parameter value.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to update. |
segment | Segment to update. |
type | Segment parameter to unlock. |
void NXOpen::Die::AddendumSectionBuilder::UpdateSection | ( | NXOpen::Curve * | section | ) |
Updates section after editing segments via Die::AddendumSectionBuilder::UpdateSegment .
This makes permanent the temporary changes so that any future calls to @link Die::AddendumSectionBuilder::ResetSection Die::AddendumSectionBuilder::ResetSection@endlink will reset the section to this state.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section being edited. |
void NXOpen::Die::AddendumSectionBuilder::UpdateSectionAttributes | ( | NXOpen::Curve * | section | ) |
Updates the section attributes.
You must call Die::AddendumSectionBuilder::Attributes first in order to set the attributes to be updated.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
section | Section to edit. |
void NXOpen::Die::AddendumSectionBuilder::UpdateSectionsAfterConstraintChange | ( | ) |
Called to update the section when constraint curve or constraint surface is changed.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Die::AddendumSectionBuilder::UpdateSegment | ( | bool | temporary, |
NXOpen::Curve * | section, | ||
NXOpen::Die::AddendumSectionBuilder::SegmentType | segment, | ||
double | lengthRadius, | ||
double | angle | ||
) |
Updates length or angle value of a segment.
temporary | Indicates that change to section is temporary in that Die::AddendumSectionBuilder::ResetSection can be called to undo changes. |
section | Section to update. |
segment | Segment to update. |
lengthRadius | Value for the new Length/Radius of the segment. |
angle | Value for the angle of the segment. |